<template>
  <div class="form">
    <div class="form-group">
      <textarea v-model="sourceString" class="form-control" rows="16" :placeholder="$t('components.form.textareaPlaceholder')"></textarea>
    </div>
    <div class="form-group">
      <button class="btn btn-success btn-sm" @click="uploadContent">{{ $t('button.update') }}</button>
    </div>
  </div>
</template>

<script>
import { EventBus } from '@/bus'
import { Store } from '@/store'

export default {
  name: 'Form',
  data () {
    return Store.state
  },
  methods: {
    uploadContent () {
      // Broadcast changes
      EventBus.$emit('content:loaded', this.sourceString, this.defaultType)
    }
  }
}
</script>
